%define gcj_support             0
%define sname                   postgresql
%define postgresql_version      9.2
%define postgresql_jdbc_release 1002
%global upstreamver %{postgresql_version}-%{postgresql_jdbc_release}

Name:           postgresql-jdbc
Version:        %{postgresql_version}.%{postgresql_jdbc_release}
Release:        %mkrel 6
Epoch:          0
Summary:        PostgreSQL JDBC driver
License:        BSD
Group:          Development/Java
URL:            http://jdbc.postgresql.org/
Source0:        http://jdbc.postgresql.org/download/postgresql-jdbc-%{postgresql_version}-%{postgresql_jdbc_release}.src.tar.gz
Source1:        postgresql-jdbc.pom
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildArch:      noarch
%endif
BuildRequires:  ant >= 0:1.6
BuildRequires:  docbook-style-xsl
BuildRequires:  java-devel >= 0:1.4.0
BuildRequires:  jaxp_transform_impl
# GNU jaxp_transform_impl doesn't work
BuildRequires:  xalan-j2
BuildRequires:  java-rpmbuild >= 0:1.6
Requires(post):	jpackage-utils
Requires(postun): jpackage-utils
Requires:         java

%description
The PostgreSQL JDBC driver allows Java programs to connect to a
PostgreSQL database using standard, database independent Java code.
The driver provides are reasonably complete implementation of the
JDBC 3 specification in addition to some PostgreSQL specific
extensions.

%package manual
Summary:        Manual for %{name}
Group:          Development/Java

%description manual
Documentation for %{name}.

%prep
%setup -q -n %{name}-%{upstreamver}.src 
%{_bindir}/find . -type f -name "*.class" | %{_bindir}/xargs -t %{__rm}
#%{__perl} -pi -e 's/<xslt/<xslt processor="trax"/' build.xml

%build
export CLASSPATH=
export OPT_JAR_LIST=
sh ./update-translations.sh
%{ant} -Dbuild.compiler=modern -Dant.build.javac.source=1.5

DOCBOOK_STYLESHEET=`rpm -ql docbook-style-xsl | %{__grep} /html/chunk.xsl`
DOCBOOK_XSL=`echo ${DOCBOOK_STYLESHEET} | %{__sed} 's|/html/chunk.xsl||'`

if test ! -d "${DOCBOOK_XSL}"; then
  echo "Unable to find docbook xsl directory"
  exit 1
fi

if test ! -f "${DOCBOOK_STYLESHEET}"; then
  echo "Unable to find docbook xsl stylesheet"
  exit 1
fi

if [ -z "$SGML_CATALOG_FILES" -a -e %{_sysconfdir}/sgml/catalog ] ; then
  export SGML_CATALOG_FILES=%{_sysconfdir}/sgml/catalog
fi

export OPT_JAR_LIST="ant/ant-nodeps ant/ant-trax xalan-j2 xalan-j2-serializer"
%{ant} -Ddocbook.stylesheet=${DOCBOOK_STYLESHEET} -Ddocbook.xsl=${DOCBOOK_XSL} doc

%install
%{__mkdir_p} %{buildroot}%{_javadir}
install -m 644 jars/postgresql.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

pushd %{buildroot}%{_javadir}
ln -s %{name}-%{version}.jar %{name}.jar
# Also, for backwards compatibility with our old postgresql-jdbc packages,
ln -s %{name}-%{version}.jar %{sname}-%{version}.jar
ln -s %{name}-%{version}.jar %{sname}.jar
popd

sed 's/UPSTREAM_VERSION/%{upstreamver}/g' %{SOURCE1} >JPP-postgresql-jdbc.pom
install -d -m 755 %{buildroot}%{_mavenpomdir}/
install -m 644 JPP-postgresql-jdbc.pom %{buildroot}%{_mavenpomdir}/JPP-postgresql-jdbc.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc LICENSE README
%{_javadir}/*.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom

%files manual
%doc build/doc/build/doc/*


%changelog
* Fri Nov 08 2013 dmorgan <dmorgan> 0:9.2.1002-6.mga4
+ Revision: 550000
- Remove useless macros

* Sat Oct 19 2013 umeabot <umeabot> 0:9.2.1002-5.mga4
+ Revision: 531318
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 joequant <joequant> 0:9.2.1002-4.mga4
+ Revision: 462958
- remove ant-nodeps and ant-trax

* Sun Apr 14 2013 dmorgan <dmorgan> 0:9.2.1002-3.mga3
+ Revision: 410103
- Add require on jpackage-utils ( mga#9645)

* Fri Feb 08 2013 fwang <fwang> 0:9.2.1002-2.mga3
+ Revision: 395328
- cleanup spec

* Fri Feb 08 2013 fwang <fwang> 0:9.2.1002-1.mga3
+ Revision: 395322
- new version 9.2-1002

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 12 2011 dmorgan <dmorgan> 0:9.0.801-1.mga2
+ Revision: 132810
- Clean spec file

  + gil <gil>
    - update to 9.0-801

* Fri Jan 28 2011 dmorgan <dmorgan> 0:8.3.603-2.0.2.mga1
+ Revision: 43103
- imported package postgresql-jdbc


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0:8.3.603-2.0.2mdv2010.0
+ Revision: 430767
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:8.3.603-2.0.1mdv2009.0
+ Revision: 269010
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 05 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:8.3.603-0.0.1mdv2009.0
+ Revision: 215217
- new version 8.3-603

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Tue Nov 27 2007 Alexander Kurtakov <akurtakov@mandriva.org> 0:8.2.504-2mdv2008.1
+ Revision: 113387
- fix java 5 build

  + Anssi Hannula <anssi@mandriva.org>
    - remove unnecessary Requires(post) on java-gcj-compat


* Fri Jan 12 2007 David Walluck <walluck@mandriva.org> 8.2.504-1mdv2007.0
+ Revision: 108100
- 8.2.504
- Import postgresql-jdbc

* Fri Sep 01 2006 David Walluck <walluck@mandriva.org> 0:8.1.407-2mdv2007.0
- add xalan-j2-serializer to OPT_JAR_LIST

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:8.1.407-1mdv2007.0
- 8.1-407
- rebuild for libgcj.so.7

* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:8.1.404-2mdk
- fix building of docs

* Mon Jan 02 2006 David Walluck <walluck@mandriva.org> 0:8.1.404-1mdk
- release
- build documentation
- spec cleanup

* Wed Feb 02 2005 Jason Corley <jason.corley@gmail.com> 0:8.0.309-2jpp
- Name changed to postgresql-jdbc

* Wed Feb 02 2005 Jason Corley <jason.corley@gmail.com> 0:8.0.309-1jpp
- Initial creation

